> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quote.hapily.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Price Book

> Creates a new price book



## OpenAPI

````yaml swagger.json post /pricebooks
openapi: 3.0.0
info:
  title: quote•hapily API
  description: Developer APIs for the quote•hapily CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.quote.hapily.com/v1
    description: Production API Server
security: []
paths:
  /pricebooks:
    post:
      summary: Create Price Book
      description: Creates a new price book
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePriceBookRequest'
      responses:
        '201':
          description: Price book created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceBook'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreatePriceBookRequest:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
      required:
        - name
    PriceBook:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````